#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/data

ifconfig eth0 192.168.1.201
mknod /dev/sda3 b 8 3
mknod /dev/sda4 b 8 4

ln -s $DEST/lib/libminigui_cstm.so /lib/libminigui_cstm-3.0.so.2 -f
ln -s $DEST/lib/libcustom_procs.so /lib/libcustom_procs.so -f
ln -s $DEST/lib/libpng12.so /lib/libpng12.so.0	-f
ln -s $DEST/lib/libfreetype.so /lib/libfreetype.so.6 -f
ln -s $DEST/lib/libanimate.so /lib/libanimate.so.0 -f
ln -s $DEST/lib/libcommon_animates.so /lib/libcommon_animates.so.0 -f
ln -s $DEST/lib/libagg.so /lib/libagg.so.0 -f
ln -s $DEST/lib/libz.so /lib/libz.so.1 -f
ln -s $DEST/lib/libsoftkeywin.so /lib/libsoftkeywin.so.0  -f
ln -s $DEST/lib/libc2.so /lib/libstdc++.so.6 -f

#ALGOLIB=$DEST/lib/libzkfp.so.3.5.1
#ln -s $ALGOLIB  /lib/libzkfp.so.3 -f
#ln -s $ALGOLIB  /lib/libzkfp.so -f
#ln -s $DEST/lib/libZKFace.so /lib/libZKFace.so -f
ln -s $DEST/lib/libZKFace7.so /lib/libZKFace7.so -f
ln -s $DEST/lib/libZKJPG.so /lib/libZKJPG.so -f
#ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f
#ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f
ln -s $DEST/lib/libfacesensor.so /lib/libfacesensor.so -f
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f
ln -s $DEST/lib/libjpeg.so /lib/libjpeg.so.62 -f 
ln -s $DEST/MiniGUI.cfg /etc/MiniGUI.cfg -f
ln -s $DEST/lib/libttf.so /lib/libttf.so -f

ln -s $DEST/lib/libhttppush.so /lib/libhttppush.so -f
ln -s $DEST/lib/libradio.so /lib/libradio.so -f
ln -s $DEST/lib/libnettools.so /lib/libnettools.so -f

export USERDATAPATH=/mnt/mtdblock/
export GOAHEAD_WEB_ROOT=/mnt/ramdisk/
export QWS_MOUSE_PHOTO=TPanel:/dev/input/event0
export TSLIB_TSDEVICE=/dev/input/event0
export V_ROOT=/mnt/mtdblock/lib/ts
export TSLIB_CONSOLEDEVICE=none
export TSLIB_FBDEVICE=/dev/fb0
export TSLIB_CALIBFILE=$V_ROOT/etc/pointercal
export TSLIB_CONFFILE=$V_ROOT/etc/ts.conf
export TSLIB_PLUGINDIR=$V_ROOT/share/ts/plugins
export LD_LIBRARY_PATH=$V_ROOT/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/mnt/mtdblock/lib:$LD_LIBRARY_PATH

if [ -f $DEST/images.tgz ]; then
        tar xzf $DEST/images.tgz -C /mnt/mtdblock/ && sync
fi

if [ -f $DEST/wavres.tgz ]; then
	tar xzf $DEST/wavres.tgz -C /mnt/ramdisk/ && sync
fi

if [ ! -c /dev/wiegand ]; then
	mknod  /dev/wiegand c 62 0
fi

if [ ! -c /dev/tkey ]; then
	mknod /dev/tkey c 63 0
fi

if [ ! -c /dev/ttyUSB0 ]; then
	mknod /dev/ttyUSB0 c 188 0
fi
if [ ! -c /dev/ttyUSB1 ]; then
        mknod /dev/ttyUSB1 c 188 1
fi

if [ -f $DEST/drivers/gpio_drv.ko ]; then
        insmod $DEST/drivers/gpio_drv.ko
fi

if [ -c /dev/ttygserial ]; then
	rm /dev/ttygserial
fi	

if [ -f $DEST/drivers/usbserial.ko ]; then
	insmod $DEST/drivers/usbserial.ko
fi

if [ -f $DEST/drivers/ftdi_sio.ko ]; then
	insmod $DEST/drivers/ftdi_sio.ko
fi	

if [ ! -c /dev/ttyGS0 ]; then
	mknod /dev/ttyGS0 c 127 0
fi

if [ -f $DEST/drivers/ak4182.ko ]; then
	insmod $DEST/drivers/ak4182.ko
fi

if [ -f $DEST/drivers/wiegand.ko ]; then
	insmod $DEST/drivers/wiegand.ko
fi

if [ -f $DEST/drivers/tkey.ko ]; then
	insmod $DEST/drivers/tkey.ko
fi

if [ -f $DEST/drivers/rtc.ko ]; then
	insmod $DEST/drivers/rtc.ko
fi

if [ ! -c /dev/rtc ]; then
	mknod /dev/rtc c 10 135
fi

if [ -f $DEST/drivers/mi367.ko ]; then
	insmod $DEST/drivers/mi367.ko
fi

if [ -f $DEST/drivers/cimclk39.ko ]; then
	insmod $DEST/drivers/cimclk39.ko
fi

if [ -f $DEST/drivers/g_serial.ko ]; then
	insmod $DEST/drivers/g_serial.ko
fi

if [ -f $DEST/drivers/wifi/rtnetsta.ko ]; then
        insmod $DEST/drivers/wifi/rtutilsta.ko
        insmod $DEST/drivers/wifi/rtsta.ko
        insmod $DEST/drivers/wifi/rtnetsta.ko
fi

if [ -f $DEST/drivers/wifi/rt73.tgz ]; then
        rm /etc/rt73* -f && tar xzf $DEST/drivers/wifi/rt73.tgz -C /etc/ && sync
        cp /etc/rt73.bin /lib/firmware -f && sync
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi

if [ -f $DEST/dns_https_libs_arm.tgz ]; then
        tar  xzf $DEST/dns_https_libs_arm.tgz  -C / && rm $DEST/dns_https_libs_arm.tgz -f && sync
fi

if [ -f $DEST/test/mginit.gz ]; then
	cd $DEST/test/ && rm mginit -f && gunzip mginit.gz && sync
fi

if [ -f $DEST/test/sensormsg.gz ]; then
	cd $DEST/test/ && rm sensormsg -f && gunzip sensormsg.gz && sync
fi

if [ ! -d /var/tmp ]; then
	mkdir /var/tmp
fi
        
if [ -f /var/tmp/mginit ]; then
	rm /var/tmp/mginit && sync
fi

amixer cset numid=3 33
if [ -f $DEST/test/mginit ]; then
	rm /var/tmp/* -rf
	rm /tmp/run.dat -rf 
	cd $DEST/test && chmod u+x mginit sensormsg && $DEST/test/mginit &
fi

while [ 1 ]
do 
	#echo "wait mginit kkkkkkkkkkkkkkkkkkkkkkkkkkkkk"
	if [ -f /tmp/run.dat ]; then
		break
	fi
done	
 
if [ -f $DEST/main ]; then
	cd $DEST && chmod u+x main && $DEST/main &
fi 

if [ -f $DEST2/wdt ]; then
	cd $DEST2 && chmod u+x $DEST2/wdt && $DEST2/wdt -p 5 -t 3600
fi
